## MMLocationCdmaBs MMLocationCdmaBs — Helper object to handle CDMA Base Station location information. |

## Functions

gdouble | mm_location_cdma_bs_get_latitude ()
gdouble | mm_location_cdma_bs_get_longitude ()

## Types and Values

struct | MMLocationCdmaBs

## Object Hierarchy

        GObject
        ╰── MMLocationCdmaBs

## Description

The MMLocationCdmaBs is an object handling the location information of the CDMA base station in which the modem is registered.

This object is retrieved with either `mm_modem_location_get_cdma_bs()`, `mm_modem_location_get_cdma_bs_sync()`, `mm_modem_location_get_full()` or `mm_modem_location_get_full_sync()`.

## Functions

### mm_location_cdma_bs_get_latitude ()

    gdouble
    mm_location_cdma_bs_get_latitude (MMLocationCdmaBs *self);

Gets the latitude, in the [-90,90] range.

#### Parameters

self | a MMLocationCdmaBs. |

#### Returns

the latitude, or `MM_LOCATION_LATITUDE_UNKNOWN` if unknown.

### mm_location_cdma_bs_get_longitude ()

    gdouble
    mm_location_cdma_bs_get_longitude (MMLocationCdmaBs *self);

Gets the longitude, in the [-180,180] range.

#### Parameters

self | a MMLocationCdmaBs. |

#### Returns

the longitude, or `MM_LOCATION_LONGITUDE_UNKNOWN` if unknown.

## Types and Values

### struct MMLocationCdmaBs

    struct MMLocationCdmaBs;

The MMLocationCdmaBs structure contains private data and should only be accessed using the provided API.